Re: [ANNOUNCEMENT] Updated: perl-5.30.1-1 and Perl distributions

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: [ANNOUNCEMENT] Updated: perl-5.30.1-1 and Perl distributions

marco atzeri-4
moving to Apps.

Am 16.02.2020 um 21:32 schrieb Achim Gratz:

>
> Perl 5.30.1-1 is now available on Cygwin, replacing perl-5.26.3-2.  Most
> Perl distributions and dependent packages have been either re-released
> or updated in conjunction with this update, for exceptions please refer
> to the list below.
>
> Release notes:
> https://metacpan.org/release/SHAY/perl-5.30.1
>
>
> Note
> ====
>
> Since Cygwin skipped the 5.28 releases of Perl, also check the release
> notes for that version in order to check for any user-visible changes.
>
>
> Attention
> =========
>
> The following packages depend on Perl and have not yet been updated to
> use the new Perl version.  If you rely on these, please wait for the
> upgrade announcement by the respective maintainer as these may have
> degraded functionality or even stop working after Perl has updated:

I think we need to double check this list.

I do not see the vim dependency, Ken the one on texinfo
and xfconf seems to not have any dependency from Perl
also

$ cygcheck-dep -S -R xfconf
# /usr/bin/cygcheck-dep:

  xfconf: recursively requires ( cygwin desktop-file-utils gamin
gsettings-desktop-schemas libdbus-glib_1_2 libdbus1_3 libfam0 libffi6
libglib2.0_0 libiconv2 libintl8 liblzma5 libncursesw10 libpcre1
libreadline7 libxfce4util-common libxfce4util7 libxfconf0_2 libxml2
shared-mime-info terminfo terminfo-extra tzdata xfconfd zlib0 )


I uploaded a tracking sheet if someone want to help in the cross check

https://docs.google.com/spreadsheets/d/1lLHtukQJdI479sx6pYJ5nk7Jnl8fwT4R1pBqaSwazS4/edit?usp=sharing

> gnumeric
> graphviz
> grepmail
> hexchat
> libproxy
> link-grammar
> marisa
> ming
> nginx-mod_http_perl
> openbabel
> openwsman
> perl-Alien-wxWidgets
> perl-Cairo
> perl-Cairo-GObject
> perl-GD
> perl-GStreamer1
> perl-Glib
> perl-Glib-Object-Introspection
> perl-Gnome2
> perl-Gnome2-Canvas
> perl-Gnome2-GConf
> perl-Gnome2-Rsvg
> perl-Gnome2-VFS
> perl-Gnome2-Vte
> perl-Gnome2-Wnck
> perl-Gtk2
> perl-Gtk2-GladeXML
> perl-Gtk2-Notify
> perl-Gtk2-SourceView2
> perl-Gtk2-Spell
> perl-Gtk2-Unique
> perl-Gtk2-WebKit
> perl-Gtk3
> perl-Pango
> perl-SGMLSpm
> perl-Win32-GUI
> perl-Wx
> po4a
> pristine-tar
> rxvt-unicode
> sendxmpp
> texinfo
> vim
> weechat
> xfconf
> zbar
> zinnia


Regards
Marco
Reply | Threaded
Open this post in threaded view
|

Re: [ANNOUNCEMENT] Updated: perl-5.30.1-1 and Perl distributions

ASSI
Marco Atzeri writes:
> I think we need to double check this list.

IT's the same we had the last time around, I think Yaakov changed some
packages of his later on, but with him being busy I can't very well check.

> I do not see the vim dependency, Ken the one on texinfo
> and xfconf seems to not have any dependency from Perl

Texinfo does depend on Perl, just no longer on the exact binary.  Which
again is something that's not easily checked when the Perl stuff is
hidden inside the package somewhere.

> I uploaded a tracking sheet if someone want to help in the cross check
>
> https://docs.google.com/…

Please no.


Regards,
Achim.
--
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

Waldorf MIDI Implementation & additional documentation:
http://Synth.Stromeko.net/Downloads.html#WaldorfDocs
Reply | Threaded
Open this post in threaded view
|

Re: [ANNOUNCEMENT] Updated: perl-5.30.1-1 and Perl distributions

marco atzeri-4
Am 18.02.2020 um 22:06 schrieb Achim Gratz:

> Marco Atzeri writes:
>> I think we need to double check this list.
>
> IT's the same we had the last time around, I think Yaakov changed some
> packages of his later on, but with him being busy I can't very well check.
>
>> I do not see the vim dependency, Ken the one on texinfo
>> and xfconf seems to not have any dependency from Perl
>
> Texinfo does depend on Perl, just no longer on the exact binary.  Which
> again is something that's not easily checked when the Perl stuff is
> hidden inside the package somewhere.
>
>> I uploaded a tracking sheet if someone want to help in the cross check
>>
>> https://docs.google.com/…
>
> Please no.
>
>
> Regards,
> Achim.

why not ? I did the same for the 64bit missing packages.

I plan to check what really needs to be updated and
if possible update some to 5.30. I would like to avoid
updating packages that are not dependent on the Perl
version and I would like to avoid to make the
changes behind the other maintainers.

A ping pong of mails is not the best way to check a list
of things to be done (IMHO).

Regards
Marco




Reply | Threaded
Open this post in threaded view
|

Re: [ANNOUNCEMENT] Updated: perl-5.30.1-1 and Perl distributions

Jon TURNEY
In reply to this post by marco atzeri-4
On 18/02/2020 20:34, Marco Atzeri wrote:

> moving to Apps.
>
> Am 16.02.2020 um 21:32 schrieb Achim Gratz:
>>
>> Perl 5.30.1-1 is now available on Cygwin, replacing perl-5.26.3-2.  Most
>> Perl distributions and dependent packages have been either re-released
>> or updated in conjunction with this update, for exceptions please refer
>> to the list below.
>>
>> Release notes:
>> https://metacpan.org/release/SHAY/perl-5.30.1
>>
>>
>> Note
>> ====
>>
>> Since Cygwin skipped the 5.28 releases of Perl, also check the release
>> notes for that version in order to check for any user-visible changes.
>>
>>
>> Attention
>> =========
>>
>> The following packages depend on Perl and have not yet been updated to
>> use the new Perl version.  If you rely on these, please wait for the
>> upgrade announcement by the respective maintainer as these may have
>> degraded functionality or even stop working after Perl has updated:
>
[...]
>> rxvt-unicode
[...]

I have rebuilt and uploaded rxvt-unicode.